import matplotlib.pyplot as plt

data = [[5 , 1e-1],
        [8 , 1e-2],
        [11, 1e-3],
        [15, 1e-4],
        [18, 1e-5],
        [21, 1e-6],
        [25, 1e-7],
        [28, 1e-8],
        [31, 1e-9]]

plt.plot(zip(*data)[1], zip(*data)[0], 'o')
plt.xscale('log')
plt.xlabel('epsilon')
plt.ylabel('steps')
plt.grid(True)
plt.savefig('bisec.pdf')

